# dipy_snr_in_cc

## Synopsis

Compute the signal-to-noise ratio in the corpus callosum.

## Usage

    dipy_snr_in_cc [OPTIONS] data_files bvals_files bvecs_files mask_file

## Input Parameters

- `data_files`

  Path to the dwi.nii.gz file. This path may contain wildcards to process multiple inputs at once.

- `bvals_files`

  Path of bvals.

- `bvecs_files`

  Path of bvecs.

- `mask_file`

  Path of a brain mask file.

## General Options

- `--bbox_threshold`

  Threshold for bounding box, values separated with commas for ex. [0.6,1,0,0.1,0,0.1]. (default: (0.6, 1, 0, 0.1, 0, 0.1))

## Output Options

- `--out_dir`

  Where the resulting file will be saved. (default: current directory)

- `--out_file`

  Name of the result file to be saved. (default: product.json)

- `--out_mask_cc`

  Name of the CC mask volume to be saved. (default: cc.nii.gz)

- `--out_mask_noise`

  Name of the mask noise volume to be saved. (default: mask_noise.nii.gz)

## References

Garyfallidis, E., M. Brett, B. Amirbekian, A. Rokem, S. Van Der Walt, M. Descoteaux, and I. Nimmo-Smith. Dipy, a library for the analysis of diffusion MRI data. Frontiers in Neuroinformatics, 1-18, 2014.